[i965] Graphics corruption with GM965 in Karmic

Bug #391445 reported by Jeffrey Baker on 2009-06-24
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Incomplete
Medium
xserver-xorg-video-intel (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-intel

On Karmic x86_64 with Intel GM965 graphics and xorg driver 2:2.7.99.1+git20090602.ec2fde7c-0ubuntu2 I am experience frequent corruption of the display. There is nothing unusual in the logs. Screenshots are attached.

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller [8086:29c0] (rev 02)
     Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:3106]
00:02.0 VGA compatible controller [0300]: Intel Corporation 82G33/G31 Express Integrated Graphics Controller [8086:29c2] (rev 02)
     Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:3106]

Bryce Harrington (bryce) on 2009-06-26
summary: - Graphics corruption with GM965 in Karmic
+ [i965] Graphics corruption with GM965 in Karmic
Bryce Harrington (bryce) wrote :

Hi jwbaker,

Thanks for including an image to demonstrate the issue. Could you also please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log or Xorg.0.log.old file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-xorglog
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
Geir Ove Myhr (gomyhr) on 2009-07-05
tags: added: 965gm corruption
removed: gm965
Jeffrey Baker (jwbaker) wrote :

Haven't been able to reproduce lately.

Bryce Harrington (bryce) wrote :

Thanks; perhaps the issue is fixed with recent updates. Feel free to reopen if it occurs again.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Fix Released
Jeffrey Baker (jwbaker) wrote :

Just reproduced this again on latest Karmic.

Jeffrey Baker (jwbaker) wrote :
Jeffrey Baker (jwbaker) wrote :
Jeffrey Baker (jwbaker) wrote :
Jeffrey Baker (jwbaker) wrote :

I have no xorg.conf. Switching back to New status.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Released → New

Created an attachment (id=27668)
corrupt2.png

Forwarding this bug from Ubuntu reporter Jeffrey Baker:
https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/391445

[Problem]
Screen corruption occurs frequently. See attached screenshot.

[Original Report]
On Karmic x86_64 with Intel GM965 graphics and xorg driver 2:2.7.99.1+git20090602.ec2fde7c-0ubuntu2 I am experience frequent corruption of the display. There is nothing unusual in the logs and I have no xorg.conf. Screenshots are attached.

Created an attachment (id=27669)
corrupt.png

Created an attachment (id=27670)
Screenshot.png

Created an attachment (id=27671)
Xorg.0.log

Created an attachment (id=27672)
Xorg.0.log.old

00:00.0 Host bridge [0600]: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller [8086:29c0] (rev 02)
 Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:3106]
00:02.0 VGA compatible controller [0300]: Intel Corporation 82G33/G31 Express Integrated Graphics Controller [8086:29c2] (rev 02)
 Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:3106]

Thanks for reporting this over here, Bryce. Note that I originally saw various corruption on a 965 and lately I have seen it on a G31, if that makes a difference.

Bryce Harrington (bryce) on 2009-07-13
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) wrote :

Hi Jeffrey, I've forwarded your bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=22762 and subscribed you to that bug. Please follow up there if they ask for further information or wish you to test something. Thanks ahead of time.

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed

Thanks for the bug report Jeffrey,

As for the two different chipsets, the 965 and G31 belong to the same family of harware, (and no, the naming rarely makes that obvious), so it's not too surprising that the behave similarly.

As for the corruption shown in the screenshots, the two effects look quite distinct so likely have different underlying causes. The font corruption looks a lot like a bug that was fixed in the kernel as of the commit below, (which should have first appeared in 2.6.30-rc8 and subsequently in 2.6.31). The attached X.org.log file shows kernel 2.6.31 so hopefully that commit is in place.

It might be worth attempting to boot with a different kernel, (say vanilla 2.6.31 or so), to see if that results in anything different.

-Carl

commit 07f4f3e8a24138ca2f3650723d670df25687cd05
Author: Kristian Høgsberg <email address hidden>
Date: Wed May 27 14:37:28 2009 -0400

    i915: Set object to gtt domain when faulting it back in

    When a GEM object is evicted from the GTT we set it to the CPU domain,
    as it might get swapped in and out or ever mmapped regularly. If the
    object is mmapped through the GTT it can still get evicted in this way
    by other objects requiring GTT space. When the GTT mapping is touched
    again we fault it back into the GTT, but fail to set it back to the
    GTT domain. This means we fail to flush any cached CPU writes to the
    pages backing the object which will then happen "eventually", typically
    after we write to the page through the uncached GTT mapping.

    [anholt: Note that userland does do a set_domain(GTT, GTT) when starting
    to access the GTT mapping. That covers getting the existing mapping of the
    object synchronized if it's bound to the GTT. But set_domain(GTT, GTT)
    doesn't do anything if the object is currently unbound. This fix covers the
    transition to being bound for GTT mapping.]

    Fixes glyph and other pixmap corruption during swapping. fd.o bug #21790

    Signed-off-by: Kristian Høgsberg <email address hidden>
    Signed-off-by: Eric Anholt <email address hidden>

Changed in xserver-xorg-video-intel:
status: Confirmed → In Progress
Bryce Harrington (bryce) on 2009-10-10
description: updated
Jeffrey Baker (jwbaker) wrote :

Haven't seen this one lately.

And we've also fixed a few missing cache flushes which may also be significant:

commit 9a2c18fb92659d57741bfdcacbe4f69aab361532
Author: Chris Wilson <email address hidden>
Date: Sun Nov 29 21:07:45 2009 +0000

    batch: Emit a 'pipelined' flush when using a dirty source.

    Ensure that the render caches and texture caches are appropriately
    flushed when switching a pixmap from a target to a source.

    This should fix bug 24315,
      [855GM] Rendering corruption in text (usually)
      https://bugs.freedesktop.org/show_bug.cgi?id=24315

Is this bug still reproducible after these fixes? Thanks.

Gregory P Smith (gpshead) wrote :

I'm seeing a bug which may be this one on x86 karmic on my Intel 855 system.

Gregory P Smith (gpshead) wrote :

attaching part of a screen grab. the part of the fonts that turned brown (it should all be black on white) were unobscured. the corrupty-bits of the font on the same line were obscured by a chromium window for a while.?field.comment=attaching part of a screen grab. the part of the fonts that turned brown (it should all be black on white) were unobscured. the corrupty-bits of the font on the same line were obscured by a chromium window for a while.

Bryce Harrington (bryce) on 2010-03-02
summary: - [i965] Graphics corruption with GM965 in Karmic
+ [i965] [i965] Graphics corruption with GM965 in Karmic
Bryce Harrington (bryce) on 2010-03-02
summary: - [i965] [i965] Graphics corruption with GM965 in Karmic
+ [i965] Graphics corruption with GM965 in Karmic

Created an attachment (id=33885)
screenshot with ugly font corruption

This bug still occures when using the following versions:

mesa-7.5.2
xorg-server 1.7.5
intel driver svn build (2010-03-06)
drm-intel kernel svn build (2010-03-06)

This bug only occures after a suspend / resume cycle. I also attached a screenshot with red rectangles around two corruption sections.

Geir Ove Myhr (gomyhr) wrote :

This bug report has been inactive for quite some time and in the meantime Ubuntu has moved along. I hope the reported problem has been resolved in the current version of Ubuntu. If it has not and there are people willing to follow up with information collecting and testing, it is best to file a new bug report with the latest Ubuntu development version (10.04 still works, but soon 10.10 is better), using the ubuntu-bug command if possible. Feel free to mention the bug number of this bug.

We are sorry that we are not always have the capacity to look at all reported bugs in a timely manner. Occasionally we have to purge old bug reports where no progress has been made, whether it is due to reporter not being able to respond or lack of manpower on the Ubuntu side, in order to keep our list of "active" bugs current. Sorry for the inconvenience this may cause.

Here are a few tips that will make it easier for triagers and developers to process your bug:
* Read https://wiki.ubuntu.com/X/Reporting
* Browse https://wiki.ubuntu.com/X and see if there is some relevant information for you problem
* Respond quickly to questions from triagers
* Try changing things to see if the behaviour changes, e.g.
  * A new mainline kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=M;O=D (more information at https://wiki.ubuntu.com/KernelTeam/MainlineBuilds)
  * The xorg-edgers PPA: https://launchpad.net/~xorg-edgers/+archive/ppa
  * Various options in `/etc/X11/xorg.conf` (see `man intel`)
* Browse other bug reports to see if you find a similar one and provide the information that is being asked for there.

Geir Ove Myhr (gomyhr) on 2010-05-04
Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Invalid

Ok, I am wondering if the memory corruption with i915 suspend fixed by Linus in 2.6.35-rc6 is a critical factor here. Please can you try the latest bits.

Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
Changed in xserver-xorg-video-intel:
importance: Medium → Unknown
Changed in xserver-xorg-video-intel:
importance: Unknown → Medium

Hello,

I have similar issues with Intel Integrated graphics. For me the drawing problems first occured when I switched from an old 19" to a new 24" screen, using 1900x1200 resolution. I am using Arch Linux, which means I have a newer kernel:
$ uname -a
Linux abpc1154 2.6.38-ARCH #1 SMP PREEMPT Fri May 13 09:24:47 CEST 2011 x86_64 Intel(R) Pentium(R) D CPU 3.40GHz GenuineIntel GNU/Linux

From lspci:
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)

I first reported it as a kwin bug since I did not know where to go with the information, you can find that report here:
https://bugs.kde.org/show_bug.cgi?id=272412

Please let me know if this is the same bug or if I should open a new report (or look further if it is reported elsewhere). Please also let me know if you need further information. Thanks.

Mass status change to NEEDINFO based on presence of NEEDINFO keyword. Please reopen if you can still reproduce the bug and are able to provide the information requested, thanks.

Changed in xserver-xorg-video-intel:
status: In Progress → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.